<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.cplbusiness.mapper.DataCrkywCplzjjgDefaultMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.cplbusiness.entity.DataCrkywCplzjjgDefault">
                    <result column="ID" property="id" />
                    <result column="create_org" property="createOrg" />
                    <result column="station" property="station" />
                    <result column="create_user_id" property="createUserId" />
                    <result column="created_time" property="createdTime" />
                    <result column="modify_user_id" property="modifyUserId" />
                    <result column="modified_time" property="modifiedTime" />
                    <result column="name" property="name" />
                    <result column="organization_code" property="organizationCode" />
                    <result column="domain" property="domain" />
                    <result column="administrative_name" property="administrativeName" />
                    <result column="legal_representative" property="legalRepresentative" />
                    <result column="phone" property="phone" />
                    <result column="fax" property="fax" />
                    <result column="email" property="email" />
                    <result column="administrative_code" property="administrativeCode" />
                    <result column="institution_address" property="institutionAddress" />
                    <result column="address" property="address" />
                    <result column="zip_code" property="zipCode" />
                    <result column="linkman" property="linkman" />
                    <result column="responsible_department" property="responsibleDepartment" />
                    <result column="inspection_institution_level" property="inspectionInstitutionLevel" />
                    <result column="registered_employees" property="registeredEmployees" />
                    <result column="senior_titles_number" property="seniorTitlesNumber" />
                    <result column="medium_grade" property="mediumGrade" />
                    <result column="junior_titles_number" property="juniorTitlesNumber" />
                    <result column="doctor_number" property="doctorNumber" />
                    <result column="master_number" property="masterNumber" />
                    <result column="bachelor_number" property="bachelorNumber" />
                    <result column="under_junior_college" property="underJuniorCollege" />
                    <result column="fixed_assets" property="fixedAssets" />
                    <result column="area" property="area" />
                    <result column="asset_nature" property="assetNature" />
                    <result column="testing_personnel_number" property="testingPersonnelNumber" />
                    <result column="quality_score" property="qualityScore" />
                    <result column="score_mechanism" property="scoreMechanism" />
                    <result column="score_commodity" property="scoreCommodity" />
                    <result column="score_raw" property="scoreRaw" />
               <!---->     <result column="character" property="character" />
                    <result column="qualification_proof" property="qualificationProof" />
                    <result column="detection_capability" property="detectionCapability" />
                    <result column="longitude" property="longitude" />
                    <result column="latitude" property="latitude" />
        </resultMap>

    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  data_crkyw_cplzjjg_default
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
    <select id="getZjggList" resultType="java.util.Map">
        SELECT DISTINCT
        ID,
        organization_code,
        modified_time
        FROM
        data_crkyw_cplzjjg_default
        WHERE
        station = #{unitId}
        ORDER BY
        modified_time DESC
    </select>
</mapper>